## org.eclipse.emf.transaction
Class TransactionalEditingDomainListenerImpl

    java.lang.Object
      org.eclipse.emf.transaction.TransactionalEditingDomainListenerImpl

All Implemented Interfaces:
  EventListener, TransactionalEditingDomainListener

    public class TransactionalEditingDomainListenerImpl

extends Object
implements TransactionalEditingDomainListener

A default implementation of the `TransactionalEditingDomainListener` interface that does nothing in response to those call-backs, but which is useful for subclassing to handle just the interesting events.

Since:
  1.3

Constructor Summary
`TransactionalEditingDomainListenerImpl()` Initializes me.

Method Summary
`void` `editingDomainDisposing(TransactionalEditingDomainEvent event)` Signals that the transactional editing domain to which the lister is attached is to be disposed.
`void` `transactionClosed(TransactionalEditingDomainEvent event)` Signals that a transaction has closed, either with a successful commit or with a roll-back.
`void` `transactionClosing(TransactionalEditingDomainEvent event)` Signals that a transaction has finished its work and is about to close.
`void` `transactionInterrupted(TransactionalEditingDomainEvent event)` Signals that a transaction that has requested activation was interrupted before it could start.
`void` `transactionStarted(TransactionalEditingDomainEvent event)` Signals that a transaction has been activated.
`void` `transactionStarting(TransactionalEditingDomainEvent event)` Signals that a transaction has requested activation, but is not yet started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalEditingDomainListenerImpl

    public TransactionalEditingDomainListenerImpl()

  Initializes me.

Method Detail

### editingDomainDisposing

    public void editingDomainDisposing(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that the transactional editing domain to which the lister is attached is to be disposed. Disposal result, among other things, in the removal of the listener from it.

  Specified by:
    `editingDomainDisposing` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the editing domain that is being disposed. The event has no transaction

### transactionClosed

    public void transactionClosed(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that a transaction has closed, either with a successful commit or with a roll-back. The status of the transaction will indicate which has occurred; an IStatus.ERROR indicates roll-back. This event is sent after all post-commit notifications have gone out to `ResourceSetListener`s.

  This event is not sent for nested transactions.

  Specified by:
    `transactionClosed` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the transaction that has closed

### transactionClosing

    public void transactionClosing(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that a transaction has finished its work and is about to close. This may be the beginning of the normal commit sequence of trigger firing followed by validation (subsequently rolling back, if necessary), or an explicit roll-back requested by the transaction, itself.

  This event is not sent for nested transactions, nor for a transaction's entry into the yielded state.

  Specified by:
    `transactionClosing` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the transaction that is about to close

### transactionInterrupted

    public void transactionInterrupted(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that a transaction that has requested activation was interrupted before it could start. Thus, this indicates a failed start.

  This event is not sent for nested transactions.

  Specified by:
    `transactionInterrupted` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the transaction that was interrupted

### transactionStarted

    public void transactionStarted(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that a transaction has been activated.

  This event is not sent for nested transactions, nor for a transaction's resumption from the yielded state.

  Specified by:
    `transactionStarted` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the transaction that has started

### transactionStarting

    public void transactionStarting(TransactionalEditingDomainEvent event)

  Description copied from interface: `TransactionalEditingDomainListener`

  Signals that a transaction has requested activation, but is not yet started. Note that any number of transactions may be in this state simultaneously, on different threads, but obviously only one will actually start.

  This event is not sent for nested transactions, nor for a transaction's resumption from the yielded state.

  Specified by:
    `transactionStarting` in interface `TransactionalEditingDomainListener`
  Parameters:
    `event` - indicates the transaction that is about to start

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.